# eric5.Network.IRC.IrcNetworkListDialog

Module implementing a dialog to list the configured IRC networks.

### Global Attributes

None

### Classes

IrcNetworkListDialog | Class implementing a dialog to list the configured IRC networks.

### Functions

None

## IrcNetworkListDialog

Class implementing a dialog to list the configured IRC networks.

### Derived from

QDialog, Ui_IrcNetworkListDialog

### Class Attributes

None

### Class Methods

None

### Methods

IrcNetworkListDialog | Constructor
__checkButtons | Private slot to set the enabled state of the buttons.
__refreshNetworkEntry | Private method to (re-)set the data of a network entry.
__refreshNetworksList | Private method to refresh the complete networks list.
__resizeColumns | Private slot to resize all columns to their contents.
__setAutoConnectEntry | Private method to set the auto-connect entry of a network item.
on_autoConnectButton_clicked | Private slot handling the auto-connect selection.
on_deleteButton_clicked | Private slot to delete the selected entry.
on_editButton_clicked | Private slot to edit the selected network.
on_editIdentitiesButton_clicked | Private slot to edit the identities.
on_networksList_itemCollapsed | Private slot handling the collapse of a top level item.
on_networksList_itemExpanded | Private slot handling the expansion of a top level item.
on_networksList_itemSelectionChanged | Private slot to handle changes of the selection of networks.
on_newButton_clicked | Private slot to add a new network entry.

### Static Methods

None

#### IrcNetworkListDialog (Constructor)

IrcNetworkListDialog(manager, parent=None)

Constructor

manager
  reference to the IRC network manager (IrcNetworkManager)
parent
  reference to the parent widget (QWidget)

#### IrcNetworkListDialog.__checkButtons

__checkButtons()

Private slot to set the enabled state of the buttons.

#### IrcNetworkListDialog.__refreshNetworkEntry

__refreshNetworkEntry(itm)

Private method to (re-)set the data of a network entry.

itm
  reference to the network entry (QTreeWidgetItem)

#### IrcNetworkListDialog.__refreshNetworksList

__refreshNetworksList()

Private method to refresh the complete networks list.

#### IrcNetworkListDialog.__resizeColumns

__resizeColumns()

Private slot to resize all columns to their contents.

#### IrcNetworkListDialog.__setAutoConnectEntry

__setAutoConnectEntry(itm, on)

Private method to set the auto-connect entry of a network item.

itm
  reference to the network item (QTreeWidgetItem)
on
  flag indicating the auto-connect state (boolean)

#### IrcNetworkListDialog.on_autoConnectButton_clicked

on_autoConnectButton_clicked(checked)

Private slot handling the auto-connect selection.

checked
  flag indicating the state of the button (boolean)

#### IrcNetworkListDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected entry.

#### IrcNetworkListDialog.on_editButton_clicked

on_editButton_clicked()

Private slot to edit the selected network.

#### IrcNetworkListDialog.on_editIdentitiesButton_clicked

on_editIdentitiesButton_clicked()

Private slot to edit the identities.

#### IrcNetworkListDialog.on_networksList_itemCollapsed

on_networksList_itemCollapsed(item)

Private slot handling the collapse of a top level item.

item
  reference to the collapsed item (QTreeWidgetItem)

#### IrcNetworkListDialog.on_networksList_itemExpanded

on_networksList_itemExpanded(item)

Private slot handling the expansion of a top level item.

item
  reference to the expanded item (QTreeWidgetItem)

#### IrcNetworkListDialog.on_networksList_itemSelectionChanged

on_networksList_itemSelectionChanged()

Private slot to handle changes of the selection of networks.

#### IrcNetworkListDialog.on_newButton_clicked

on_newButton_clicked()

Private slot to add a new network entry.

Up